
Figure - Bug #115052
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】应用进行正常小窗和mini小窗的切换时，有明显的闪烁现象
2023-01-04 11:18 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-04

Priority: Normal Due date: 2023-02-10

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301040309

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0070.X101

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 造成闪烁的原因是由于切换到mini状态时,Galley不停的在relaunch,所以看上去不停的在刷新

Description

【前提条件】

1、设备已开机

2、本地有音乐

【测试步骤】

1、打开音乐小窗

2、播放一首歌曲

3、将音乐正常小窗切换到mini模式

【预期结果】

3、切换过程自然流畅

【实际结果】

3、切换时有明显的页面闪烁现象

History

#1 - 2023-01-06 09:50 - CD FW 曹覃刚

- Category changed from CD-FW to 窗口定制

- Status changed from New to ASSIGNED

#2 - 2023-01-11 21:14 - CD FW 曹覃刚

- Due date set to 2023-02-10

#3 - 2023-01-30 20:04 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 造成闪烁的原因是由于切换到mini状态时,Galley不停的在relaunch,所以看上去不停的在刷新

■ Current conclusion

问题已经解决

■ My analysis
造成闪烁的原因是由于切换到mini状态时,Galley不停的在relaunch,所以看上去不停的在刷新

解决方法是当在freeform状态下时,由窗口大小产生的config变化,不去造成relaunch

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/177082

#4 - 2023-01-31 11:18 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0070.X101

1.31

验证通过

#5 - 2023-01-31 11:19 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

Files

Phone-STS40X190122 2023-01-04 11-05-52.mp4 14.7 MB 2023-01-04 CD TEST-方永红
